• 技术文章 >开发工具 >composer

    解决LNMP安装composer install时出现Warning: putenv()问题

    藏色散人藏色散人2021-05-07 09:58:00转载203
    下面由composer教程栏目给大家介绍LNMP安装composer install时出现Warning: putenv()问题,希望对需要的朋友有所帮助!

    LNMP安装composer install时出现Warning: putenv()

    layout: post
    title: LNMP安装composer install时出现Warning: putenv() has been disabled for security reasons in…的问题
    date: 2020-03-29

    tags: ["Laravel"]

    LNMP安装composer install时出现Warning: putenv() has been disabled for security reasons in...的问题

    原因:LNMP 禁用了部分存在危险的PHP函数

    解决方法:

    lnmp环境中编辑PHP配置文件:

    vi /usr/local/php/etc/php.ini进入编辑状态

    输入/,进入搜索模式,找到disable_functions

    寻找disable_functions字符串,将后面的putenv删除

    要是装了宝塔面板

    直接找到环境设置,选择php 里面有禁用函数,直接删除即可。

    以上就是解决LNMP安装composer install时出现Warning: putenv()问题的详细内容,更多请关注php中文网其它相关文章!

    声明:本文转载于:segmentfault,如有侵犯,请联系admin@php.cn删除
    专题推荐:php
    上一篇:你也想学composer吗?-入门篇 下一篇:composer离线安装本地包方法
    第16期线上培训班

    相关文章推荐

    • 怎么降低composer版本• 解析composer的自动加载原理• composer的一些学习和理解• 怎么写一个自己的渣渣composer包• 你也想学composer吗?-入门篇

    全部评论我要评论

  • 取消发布评论发送
  • 1/1

    PHP中文网